network interface is down after post-install reboot of a default disco installation

Bug #1821867 reported by Frank Heimes on 2019-03-27
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Critical
Canonical Foundations Team
netplan.io (Ubuntu)
Critical
Mathieu Trudel-Lapierre
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]
Minimal installs using netplan to configure the network.

[Test case]
1) Install Ubuntu minimal server / cloud image
2) Edit /etc/netplan/01-netcfg.yaml to configure the network as necessary.
3) Run 'sudo netplan apply'. Verify that the network comes up correctly.
4) Reboot.
5) Verify that the network comes up properly.

[Regression potential]
Minimal; this reverts changes in a package that was never released to -updates, only available as SRU in -proposed and on the devel release. This only changes the systemd config to ensure systemd-networkd.service is included as an active service whenever multi-user.target is wanted (which is the default) instead of only when network-online.target is wanted, since the latter is optional and on some installations is not required at all. This does not change the ordering of boot at all since in both cases systemd-networkd.service is correctly Before=network.target, and it is Before/After, not Wants/Requires, that determines ordering.

---

After doing a default disco installation on s390x using the beta ISO image aka daily from March 26th and the post-install reboot the system restarts aka reipls (in z/VM in this case) but the interface is not brought up.
Hence no remote connections are possible.

The ip cmd shows:
ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group defaul
t qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: enc600: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default ql
en 1000
    link/ether 02:28:0b:00:00:15 brd ff:ff:ff:ff:ff:ff

The netplan yaml file looks fine:
cat /etc/netplan/*.yaml
# This file describes the network interfaces available on your system
# For more information, see netplan(5).
network:
  version: 2
  renderer: networkd
  ethernets:
    enc600:
      addresses: ¬ 10.245.236.27/24 |
      gateway4: 10.245.236.1
      nameservers:
          search: ¬ canonical.com |
          addresses:
              - "10.245.236.1"

Using ip to bring the interface up doesn't help:
buntu§hwe0007:ß$ sudo ip link set enc600 up
sudo ip link set enc600 up
ubuntu§hwe0007:ß$ ip addr show enc600
ip addr show enc600
2: enc600: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP gr
oup default qlen 1000
    link/ether 02:28:0b:00:00:15 brd ff:ff:ff:ff:ff:ff
    inet6 fe80::28:bff:fe00:15/64 scope link
       valid_lft forever preferred_lft forever
ubuntu§hwe0007:ß$

But finally executing netplan apply does help:
sudo netplan apply --dryrun
sudo netplan apply --dryrun
ubuntu§hwe0007:ß$ sudo netplan apply
sudo netplan apply
ubuntu§hwe0007:ß$ ip addr show enc600
ip addr show enc600
2: enc600: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP gr
oup default qlen 1000
    link/ether 02:28:0b:00:00:15 brd ff:ff:ff:ff:ff:ff
    inet 10.245.236.27/24 brd 10.245.236.255 scope global enc600
       valid_lft forever preferred_lft forever
    inet6 fe80::28:bff:fe00:15/64 scope link
       valid_lft forever preferred_lft forever
ubuntu§hwe0007:ß$

(Sorry for the partly duplicate lines and some strange characters, but this is due to the fact that I copied the output from the console that requires a 3270 terminal emulation)

Frank Heimes (frank-heimes) wrote :
affects: systemd (Ubuntu) → debian-installer (Ubuntu)
Frank Heimes (frank-heimes) wrote :

After doing a restart the interface is down again, hence it's probably more a networkd / systemd issue:

$ ssh ubuntu@hwe0007
ssh: connect to host hwe0007 port 22: No route to host

---

hwe0007 login: ubuntu
ubuntu
Password:

Last login: Wed Mar 27 04:18:31 EDT 2019 from 10.172.194.67 on pts/0
Welcome to Ubuntu Disco Dingo (development branch) (GNU/Linux 5.0.0-7-generic s3
90x)

 * Documentation: https://help.ubuntu.com
 * Management: https://landscape.canonical.com
 * Support: https://ubuntu.com/advantage

ubuntu§hwe0007:ß$ ip a
ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group defaul
t qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: enc600: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default ql
en 1000
    link/ether 02:28:0b:00:00:15 brd ff:ff:ff:ff:ff:ff
ubuntu§hwe0007:ß$

ubuntu§hwe0007:ß$ sudo netplan apply
sudo netplan apply
¬sudo| password for ubuntu: pass4now

ubuntu§hwe0007:ß$

ip a
ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group defaul
t qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: enc600: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP gr
oup default qlen 1000
    link/ether 02:28:0b:00:00:15 brd ff:ff:ff:ff:ff:ff
    inet 10.245.236.27/24 brd 10.245.236.255 scope global enc600
       valid_lft forever preferred_lft forever
    inet6 fe80::28:bff:fe00:15/64 scope link
       valid_lft forever preferred_lft forever
ubuntu§hwe0007:ß$

Frank Heimes (frank-heimes) wrote :
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1821867

tags: added: iso-testing
Frank Heimes (frank-heimes) wrote :

systemd-networkd.service is not active after reboot:

systemctl status systemd-networkd.service
     systemd-networkd.service - Network Service ¬m
   Loaded: loaded (/lib/systemd/system/systemd-networkd.service; enabled-runtime
 ¬m
   Active: inactive (dead) ¬m
     Docs: man:systemd-networkd.service(8) ¬m
 ¬7mlines 1-4/4 (END) ¬27m ¬K

attaching journalctl as well ...

affects: debian-installer (Ubuntu) → systemd (Ubuntu)
Frank Heimes (frank-heimes) wrote :
Changed in ubuntu-z-systems:
importance: Undecided → Critical
assignee: nobody → Canonical Foundations Team (canonical-foundations)

This seems quite likely to be an issue with netplan; I've had a similar report on UC18; where systemd-networkd isn't started.

Turns out netplan moved the enablement of systemd-netwrokd to network-online.target; but unfortunately there may be no service or target depending on that. I'll revert the change to put systemd-networkd back under multi-user.target.

Changed in netplan.io (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Changed in ubuntu-z-systems:
status: New → Triaged
Frank Heimes (frank-heimes) wrote :

Just as a side note - this also happens (like expected) with LPAR installations.

I already did some earlier disco daily installations and cannot remember that I ran into this issue before which wonders me a bit ...

description: updated
Changed in netplan.io (Ubuntu):
status: Triaged → In Progress
Changed in systemd (Ubuntu):
status: New → Invalid
no longer affects: systemd (Ubuntu)
Changed in ubuntu-z-systems:
status: Triaged → In Progress
Steve Langasek (vorlon) on 2019-03-29
description: updated

Hello Frank, or anyone else affected,

Accepted netplan.io into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.96-0ubuntu0.18.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in netplan.io (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Steve Langasek (vorlon) wrote :

Hello Frank, or anyone else affected,

Accepted netplan.io into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.96-0ubuntu0.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in netplan.io (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Frank Heimes (frank-heimes) wrote :

I first of all tested the package:
https://launchpad.net/ubuntu/+source/netplan.io/0.96-0ubuntu4
from disco proposed, since it was on disco where I faced that problem, and that works now.
Tested just upgraded an already installed disco system to the netplan.io version from proposed, as well as doing a proposed installation (having 'apt-setup/proposed=true' added to the parmfile).
Both is good so far - looking forward to see it landing in one of the next disco daily images.

Frank Heimes (frank-heimes) wrote :

Successfully verified on cosmic - since I was able to login to a newly installed system (that was installed using 'apt-setup/proposed=true') right away:

$ ssh ubuntu@hwe0007
ubuntu@hwe0007's password:
Welcome to Ubuntu 18.10 (GNU/Linux 4.18.0-17-generic s390x)

 * Documentation: https://help.ubuntu.com
 * Management: https://landscape.canonical.com
 * Support: https://ubuntu.com/advantage

The programs included with the Ubuntu system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Ubuntu comes with ABSOLUTELY NO WARRANTY, to the extent permitted by
applicable law.

To run a command as administrator (user "root"), use "sudo <command>".
See "man sudo_root" for details.

ubuntu@hwe0007:~$ apt-cache policy netplan.io
netplan.io:
  Installed: 0.96-0ubuntu0.18.10.2
  Candidate: 0.96-0ubuntu0.18.10.2
  Version table:
 *** 0.96-0ubuntu0.18.10.2 500
        500 http://us.ports.ubuntu.com/ubuntu-ports cosmic-proposed/main s390x Packages
        100 /var/lib/dpkg/status
     0.40.2.2 500
        500 http://us.ports.ubuntu.com/ubuntu-ports cosmic-updates/main s390x Packages
     0.40.2 500
        500 http://us.ports.ubuntu.com/ubuntu-ports cosmic/main s390x Packages
ubuntu@hwe0007:~$

Adjusting verification tag ...

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Frank Heimes (frank-heimes) wrote :

Successfully verified on bionic (18.04.2) - since I was able to login to a newly installed system (that was installed using 'apt-setup/proposed=true') right away:

$ ssh ubuntu@hwe0007
Welcome to Ubuntu 18.04.2 LTS (GNU/Linux 4.15.0-47-generic s390x)

 * Documentation: https://help.ubuntu.com
 * Management: https://landscape.canonical.com
 * Support: https://ubuntu.com/advantage

  System information as of Fri Mar 29 06:51:00 EDT 2019

  System load: 0.0 Processes: 110
  Usage of /: 9.0% of 32.30GB Users logged in: 0
  Memory usage: 7% IP address for enc600: 10.245.236.27
  Swap usage: 0%

0 packages can be updated.
0 updates are security updates.

To run a command as administrator (user "root"), use "sudo <command>".
See "man sudo_root" for details.

ubuntu@hwe0007:~$ apt-cache policy netplan.io
netplan.io:
  Installed: 0.96-0ubuntu0.18.04.2
  Candidate: 0.96-0ubuntu0.18.04.2
  Version table:
 *** 0.96-0ubuntu0.18.04.2 500
        500 http://us.ports.ubuntu.com/ubuntu-ports bionic-proposed/main s390x Packages
        100 /var/lib/dpkg/status
     0.40.1~18.04.4 500
        500 http://us.ports.ubuntu.com/ubuntu-ports bionic-updates/main s390x Packages
        500 http://ports.ubuntu.com/ubuntu-ports bionic-security/main s390x Packages
     0.36.1 500
        500 http://us.ports.ubuntu.com/ubuntu-ports bionic/main s390x Packages
ubuntu@hwe0007:~$

Adjusting the verification tags ...

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Changed in netplan.io (Ubuntu):
status: In Progress → Fix Committed
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netplan.io - 0.96-0ubuntu4

---------------
netplan.io (0.96-0ubuntu4) disco; urgency=medium

  * d/p/0001-Partially-revert-the-change-for-enabling-systemd-net.patch:
    Also update tests to account for moving the systemd-networkd.service
    link.

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 28 Mar 2019 15:15:13 -0400

Changed in netplan.io (Ubuntu):
status: Fix Committed → Fix Released
Frank Heimes (frank-heimes) wrote :

Just for completeness reason:
I've just verified that the fixed package landed in disco-server-s390x.iso 2019-04-01
Hence installs incl. post-install reboot and automatically bringing up the interface is fine now.

Thanks!

Steve Langasek (vorlon) wrote :

Hello Frank, or anyone else affected,

Accepted netplan.io into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.96-0ubuntu0.18.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-bionic
removed: verification-done verification-done-bionic
Frank Heimes (frank-heimes) wrote :

I installed the netplan.io version 0.96-0ubuntu0.18.04.3 from bionic-proposed on an LPAR system as well as on a z/VM guest.
Rebooted the systems, carried on with my remote work on them for some time and everything runs smoothly - the network is stable, no regression noticeable and the interface came always automatically up, hence I consider this as successfully verified.
Adjusting the tags accordingly.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package netplan.io - 0.96-0ubuntu0.18.10.2

---------------
netplan.io (0.96-0ubuntu0.18.10.2) cosmic; urgency=medium

  * d/p/0001-Partially-revert-the-change-for-enabling-systemd-net.patch:
    Partially revert changes to networkd jobs ordering: leave systemd-networkd
    enabled in multi-user.target instead of network-online.target, as in some
    minimal setups there might be no job requiring network-online.target,
    whereas the natural target to reach for booting is multi-user.target.
    (LP: #1821867)

netplan.io (0.96-0ubuntu0.18.10.1) cosmic; urgency=medium

  * Backport netplan.io 0.96 to 18.10.
  * debian/patches/glib_changes.patch: Patch tests to work again on older GLib.
  * debian/control: adjust Depends for cosmic / re-add nplan package.

netplan.io (0.96-0ubuntu1) disco; urgency=medium

  * New upstream release 0.96.
    - Moved netplan-wpa@ services to earlier at boot (LP: #1819014)
    - Restart services when unconfiguring (LP: #1811868)
    - Use the .nmconnection extension for NM keyfiles (LP: #1817655)
    - Fixed integration tests runner to correctly report failures
    - Enforce integrity for use-routes in networkd backend.
    - Ensure terminal state at end of test (LP: #1817660)
    - Various small test fixes.
    - Fix typos in documentation.
  * debian/control: Update Maintainer for ubuntu upload.

netplan.io (0.95-2) unstable; urgency=medium

  * Set Priority to optional (Closes: #920327).

netplan.io (0.95-1) unstable; urgency=medium

  * New upstream release.
  * Update autopkgtests from the upstream.
  * Add debian/watch following GitHub releases.
  * Add Homepage (Closes: #917233).

netplan.io (0.95) disco; urgency=medium

  * New upstream release:
    - Added support for WPA Enterprise / 802.1x authentication (LP: #1739578)
    - Added support for setting up IP tunnels; supporting the types: ipip,
      gretap, VTI, ISATAP (NetworkManager only), sit, gre, ipip6 and ip6ip6.
      + Fixes sit (ipv6) tunnels using Hurricane Electric (LP: #1799487)
    - Add support to override networkd UseMTU setting (LP: #1807273)
    - Generate output files in dependency order
    - Refactored unit and integration tests, along with various cleanups.
    - Add DHCP overrides to control route usage and default metric for DHCP
      routes. (LP: #1776228)
    - Mitigate against bad matching on devices behind bonds then they share
      the same MAC from a physical interface. (LP: #1804861)
    - Added snapcraft.yaml.

netplan.io (0.90.1) disco; urgency=medium

  * Do not assume /etc/network exists in postinst, as netbase 5.5 no longer
    creates it.
  * netplan/cli/commands/ip.py: fix a flake.

netplan.io (0.90) disco; urgency=medium

  * New upstream release:
    - build: fixes for building on RPM-based distros
    - build: code prettiness changes (make indentation consistent)
    - Fix device name-changes detection (LP: #1770082)
    - Add support for IPv6 Privacy Extensions (LP: #1750392)
    - Add dhcp{4,6}-overrides to control DNS, NTP, hostname updates via DHCP
      (LP: #1759014)
    - Clarify MAC and MTU setting requirements (LP: #1800668)
    - Various documentation fixes (LP: #1800669)
    -...

Read more...

Changed in netplan.io (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for netplan.io has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Frank, or anyone else affected,

Accepted netplan.io into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.96-0ubuntu0.18.10.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in netplan.io (Ubuntu Cosmic):
status: Fix Released → Fix Committed
tags: added: verification-needed verification-needed-cosmic
removed: verification-done verification-done-cosmic
Brian Murray (brian-murray) wrote :

Hello Frank, or anyone else affected,

Accepted netplan.io into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.96-0ubuntu0.18.04.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed-bionic
removed: verification-done-bionic
Frank Heimes (frank-heimes) wrote :

netplan.io 0.96-0ubuntu0.18.10.2 on cosmic was already successfully verified (see comment #12),
but looks like this release wasn't good for other reasons (for others)?

So I now again successfully verified on cosmic, this time with version 0.96-0ubuntu0.18.10.3.
Did an installation from scratch with proposed enabled and the interface came up after the post-install reboot.
The system is now up since 10+h with some restarts in between - so far with now issues identified and logs are clean.

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Frank Heimes (frank-heimes) wrote :

netplan.io 0.96-0ubuntu0.18.04.2 was already successfully verified on bionic (see comment #13).

But I now again successfully verified on bionic, this time version 0.96-0ubuntu0.18.04.4.
Did an installation from scratch with proposed enabled and the interface came up after the post-install reboot.
The system is now up since 10+h with some restarts in between - so far with now issues identified and logs are clean.

(adjusted the tags accordingly)

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (4.5 KiB)

This bug was fixed in the package netplan.io - 0.96-0ubuntu0.18.04.4

---------------
netplan.io (0.96-0ubuntu0.18.04.4) bionic; urgency=medium

  * debian/patches/git_revert_explicit_renderer_def_ebc212a.patch: revert
    commit ebc212a: make renderer values explicit at the end of each parsing
    pass; it breaks "default" renderer behavior when multiple files may set
    a global renderer and expect the last to take effect globally.
    (LP: #1825206)
  * debian/patches/git_reorg_netdef_validation_181b583.patch: correct the
    fallout from the above change: validate netdefs in a single pass at the
    very end of parsing, once we know which is the applicable renderer. This
    makes sure tunnels get validated correctly.

netplan.io (0.96-0ubuntu0.18.04.3) bionic; urgency=medium

  * debian/patches/disable-networkd-tunnels-ipip-gre.patch: disable IPIP and
    GRE tunnel tests; those appear to be broken because neither the kernel nor
    networkd bring up the device automatically as in other releases.

netplan.io (0.96-0ubuntu0.18.04.2) bionic; urgency=medium

  * d/p/0001-Partially-revert-the-change-for-enabling-systemd-net.patch:
    Partially revert changes to networkd jobs ordering: leave systemd-networkd
    enabled in multi-user.target instead of network-online.target, as in some
    minimal setups there might be no job requiring network-online.target,
    whereas the natural target to reach for booting is multi-user.target.
    (LP: #1821867)

netplan.io (0.96-0ubuntu0.18.04.1) bionic; urgency=medium

  * Backport netplan.io 0.96 to 18.04.
  * debian/patches/glib_changes.patch: Patch tests to work again on older GLib.
  * debian/control: adjust Depends for bionic / re-add nplan package.

netplan.io (0.96-0ubuntu1) disco; urgency=medium

  * New upstream release 0.96.
    - Moved netplan-wpa@ services to earlier at boot (LP: #1819014)
    - Restart services when unconfiguring (LP: #1811868)
    - Use the .nmconnection extension for NM keyfiles (LP: #1817655)
    - Fixed integration tests runner to correctly report failures
    - Enforce integrity for use-routes in networkd backend.
    - Ensure terminal state at end of test (LP: #1817660)
    - Various small test fixes.
    - Fix typos in documentation.
  * debian/control: Update Maintainer for ubuntu upload.

netplan.io (0.95-2) unstable; urgency=medium

  * Set Priority to optional (Closes: #920327).

netplan.io (0.95-1) unstable; urgency=medium

  * New upstream release.
  * Update autopkgtests from the upstream.
  * Add debian/watch following GitHub releases.
  * Add Homepage (Closes: #917233).

netplan.io (0.95) disco; urgency=medium

  * New upstream release:
    - Added support for WPA Enterprise / 802.1x authentication (LP: #1739578)
    - Added support for setting up IP tunnels; supporting the types: ipip,
      gretap, VTI, ISATAP (NetworkManager only), sit, gre, ipip6 and ip6ip6.
      + Fixes sit (ipv6) tunnels using Hurricane Electric (LP: #1799487)
    - Add support to override networkd UseMTU setting (LP: #1807273)
    - Generate output files in dependency order
    - Refactored unit and integration tests, along with various cleanups.
    - Add DHCP overrides to control ...

Read more...

Changed in netplan.io (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.0 KiB)

This bug was fixed in the package netplan.io - 0.96-0ubuntu0.18.10.3

---------------
netplan.io (0.96-0ubuntu0.18.10.3) cosmic; urgency=medium

  * debian/patches/git_revert_explicit_renderer_def_ebc212a.patch: revert
    commit ebc212a: make renderer values explicit at the end of each parsing
    pass; it breaks "default" renderer behavior when multiple files may set
    a global renderer and expect the last to take effect globally.
    (LP: #1825206)
  * debian/patches/git_reorg_netdef_validation_181b583.patch: correct the
    fallout from the above change: validate netdefs in a single pass at the
    very end of parsing, once we know which is the applicable renderer. This
    makes sure tunnels get validated correctly.

netplan.io (0.96-0ubuntu0.18.10.2) cosmic; urgency=medium

  * d/p/0001-Partially-revert-the-change-for-enabling-systemd-net.patch:
    Partially revert changes to networkd jobs ordering: leave systemd-networkd
    enabled in multi-user.target instead of network-online.target, as in some
    minimal setups there might be no job requiring network-online.target,
    whereas the natural target to reach for booting is multi-user.target.
    (LP: #1821867)

netplan.io (0.96-0ubuntu0.18.10.1) cosmic; urgency=medium

  * Backport netplan.io 0.96 to 18.10.
  * debian/patches/glib_changes.patch: Patch tests to work again on older GLib.
  * debian/control: adjust Depends for cosmic / re-add nplan package.

netplan.io (0.96-0ubuntu1) disco; urgency=medium

  * New upstream release 0.96.
    - Moved netplan-wpa@ services to earlier at boot (LP: #1819014)
    - Restart services when unconfiguring (LP: #1811868)
    - Use the .nmconnection extension for NM keyfiles (LP: #1817655)
    - Fixed integration tests runner to correctly report failures
    - Enforce integrity for use-routes in networkd backend.
    - Ensure terminal state at end of test (LP: #1817660)
    - Various small test fixes.
    - Fix typos in documentation.
  * debian/control: Update Maintainer for ubuntu upload.

netplan.io (0.95-2) unstable; urgency=medium

  * Set Priority to optional (Closes: #920327).

netplan.io (0.95-1) unstable; urgency=medium

  * New upstream release.
  * Update autopkgtests from the upstream.
  * Add debian/watch following GitHub releases.
  * Add Homepage (Closes: #917233).

netplan.io (0.95) disco; urgency=medium

  * New upstream release:
    - Added support for WPA Enterprise / 802.1x authentication (LP: #1739578)
    - Added support for setting up IP tunnels; supporting the types: ipip,
      gretap, VTI, ISATAP (NetworkManager only), sit, gre, ipip6 and ip6ip6.
      + Fixes sit (ipv6) tunnels using Hurricane Electric (LP: #1799487)
    - Add support to override networkd UseMTU setting (LP: #1807273)
    - Generate output files in dependency order
    - Refactored unit and integration tests, along with various cleanups.
    - Add DHCP overrides to control route usage and default metric for DHCP
      routes. (LP: #1776228)
    - Mitigate against bad matching on devices behind bonds then they share
      the same MAC from a physical interface. (LP: #1804861)
    - Added snapcraft.yaml.

netplan.io (0.90.1) disco; urgency=medium

  * Do ...

Read more...

Changed in netplan.io (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Adam Conrad (adconrad) wrote :

Hello Frank, or anyone else affected,

Accepted netplan.io into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.97-0ubuntu1~19.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in netplan.io (Ubuntu Disco):
status: New → Fix Committed
tags: added: verification-needed verification-needed-disco
removed: verification-done
Changed in netplan.io (Ubuntu Cosmic):
status: Fix Released → Fix Committed
tags: added: verification-needed-cosmic
removed: verification-done-cosmic
Adam Conrad (adconrad) wrote :

Hello Frank, or anyone else affected,

Accepted netplan.io into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.97-0ubuntu1~18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in netplan.io (Ubuntu Bionic):
status: Fix Released → Fix Committed
tags: added: verification-needed-bionic
removed: verification-done-bionic
Adam Conrad (adconrad) wrote :

Hello Frank, or anyone else affected,

Accepted netplan.io into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.97-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Frank Heimes (frank-heimes) wrote :

I did another 3 installations, since the original problem I faced was after the post-install reboot, where the interfaces didn't came up properly.
   - hwe0005: bionic - up18042B
   - hwe0006: cosmic - up1810
   - hwe0007: disco - up1904
Obviously a parmfile was needed to enable proposed:
         listfiles up* * o
         UP18042B EXEC O1
         UP1810 EXEC O1
         UP1904 EXEC O1
         listfiles PP* * o
         PP18042B UBUNTU O1
         PP1810 UBUNTU O1
         PP1904 UBUNTU O1
         Ready; T=0.01/0.01 05:36:38
each PP-file with:
         00000 * * * Top of File * * *
         00001 ro locale=en_US apt-setup/proposed=true
         00002 * * * End of File * * *
double check kernel parameters in d-i shell before proceeding with the installations:
      ~ # cat /proc/cmdline
      ro locale=en_US apt-setup/proposed=true
Post-installation worked fine and the interfaces were properly activated on following reboot.
Triggered further reboots and could not identify any issue with the interface activation so far.
I let the systems run for several hours and worked with them w/o any problems,
hence setting tags to verification done.

tags: added: verification-done verification-done-bionic verification-done-cosmic verification-done-disco
removed: verification-needed verification-needed-bionic verification-needed-cosmic verification-needed-disco
Łukasz Zemczak (sil2100) wrote :

I trust you have used the package versions from -proposed during verification, but for the future please always include information about the version numbers as part of the testing comment. Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netplan.io - 0.97-0ubuntu1~19.04.1

---------------
netplan.io (0.97-0ubuntu1~19.04.1) disco; urgency=medium

  * Backport netplan.io 0.97 to 19.04. (LP: #1828299)

netplan.io (0.97-0ubuntu1) eoan; urgency=medium

  * New upstream release: 0.97
    - networkd: force bringing up devices with no IP addresses (LP: #1763608)
    - Reworked renderer choosing to avoid regression in default renderer when
      multiple files specify it globally (LP: #1825206)
    - Fixed networkd activation. (LP: #1821867)
  * Drop all patches; they are included in the upstream release.

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 09 May 2019 10:19:13 -0400

Changed in netplan.io (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netplan.io - 0.97-0ubuntu1~18.10.1

---------------
netplan.io (0.97-0ubuntu1~18.10.1) cosmic; urgency=medium

  * Backport netplan.io 0.97 to 18.10. (LP: #1828299)
  * Keep debian/patches/glib_changes.patch: Make sure tests work on older GLib.

netplan.io (0.97-0ubuntu1) eoan; urgency=medium

  * New upstream release: 0.97
    - networkd: force bringing up devices with no IP addresses (LP: #1763608)
    - Reworked renderer choosing to avoid regression in default renderer when
      multiple files specify it globally (LP: #1825206)
    - Fixed networkd activation. (LP: #1821867)
  * Drop all patches; they are included in the upstream release.

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 09 May 2019 11:29:56 -0400

Changed in netplan.io (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Frank Heimes (frank-heimes) wrote :

@ sil2100:
Yes, that's what I did - I used proposed and indicated it by the following kernel arg (mentioned above):
apt-setup/proposed=true

Since I still have the systems up and running, here are more detailed apt outputs (for all 3 affected releases):

ubuntu@hwe0007:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 19.04
Release: 19.04
Codename: disco
ubuntu@hwe0007:~$ apt-cache policy netplan.ionetplan.io:
  Installed: 0.97-0ubuntu1~19.04.1
  Candidate: 0.97-0ubuntu1~19.04.1
  Version table:
 *** 0.97-0ubuntu1~19.04.1 500
        500 http://us.ports.ubuntu.com/ubuntu-ports disco-proposed/main s390x Packages
        100 /var/lib/dpkg/status
     0.96-0ubuntu4.1 500
        500 http://us.ports.ubuntu.com/ubuntu-ports disco-updates/main s390x Packages
     0.96-0ubuntu4 500
        500 http://us.ports.ubuntu.com/ubuntu-ports disco/main s390x Packages

ubuntu@hwe0006:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.10
Release: 18.10
Codename: cosmic
ubuntu@hwe0006:~$ apt-cache policy netplan.io
netplan.io:
  Installed: 0.97-0ubuntu1~18.10.1
  Candidate: 0.97-0ubuntu1~18.10.1
  Version table:
 *** 0.97-0ubuntu1~18.10.1 500
        500 http://us.ports.ubuntu.com/ubuntu-ports cosmic-proposed/main s390x Packages
        100 /var/lib/dpkg/status
     0.96-0ubuntu0.18.10.3 500
        500 http://us.ports.ubuntu.com/ubuntu-ports cosmic-updates/main s390x Packages
     0.40.2 500
        500 http://us.ports.ubuntu.com/ubuntu-ports cosmic/main s390x Packages

ubuntu@hwe0005:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.2 LTS
Release: 18.04
Codename: bionic
ubuntu@hwe0005:~$ apt-cache policy netplan.io
netplan.io:
  Installed: 0.97-0ubuntu1~18.04.1
  Candidate: 0.97-0ubuntu1~18.04.1
  Version table:
 *** 0.97-0ubuntu1~18.04.1 500
        500 http://us.ports.ubuntu.com/ubuntu-ports bionic-proposed/main s390x Packages
        100 /var/lib/dpkg/status
     0.96-0ubuntu0.18.04.4 500
        500 http://us.ports.ubuntu.com/ubuntu-ports bionic-updates/main s390x Packages
     0.40.1~18.04.4 500
        500 http://ports.ubuntu.com/ubuntu-ports bionic-security/main s390x Packages
     0.36.1 500
        500 http://us.ports.ubuntu.com/ubuntu-ports bionic/main s390x Packages

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netplan.io - 0.97-0ubuntu1~18.04.1

---------------
netplan.io (0.97-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport netplan.io 0.97 to 18.04. (LP: #1828299)
  * Keep patches specific to 18.04 support:
    - glib_changes.patch: fixes for older GLib version
    - disable-networkd-tunnels-ipip-gre.patch: disable tests for unsupported
      tunnel types (ipip and gre) in the 18.04 version of systemd-networkd.

netplan.io (0.97-0ubuntu1) eoan; urgency=medium

  * New upstream release: 0.97
    - networkd: force bringing up devices with no IP addresses (LP: #1763608)
    - Reworked renderer choosing to avoid regression in default renderer when
      multiple files specify it globally (LP: #1825206)
    - Fixed networkd activation. (LP: #1821867)
  * Drop all patches; they are included in the upstream release.

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 09 May 2019 13:11:53 -0400

Changed in netplan.io (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers